summaryrefslogtreecommitdiff
path: root/bg2
diff options
context:
space:
mode:
Diffstat (limited to 'bg2')
-rwxr-xr-xbg2/install-soa-4cd-us-extra.sh53
-rwxr-xr-xbg2/install-soa-4cd-us-minimal.sh (renamed from bg2/install-4cd-minimal-us.sh)13
-rwxr-xr-xbg2/install-soa-4cd-us-tobMinimal.sh32
-rwxr-xr-xbg2/install-tob-1cd-us-minimal.sh53
4 files changed, 145 insertions, 6 deletions
diff --git a/bg2/install-soa-4cd-us-extra.sh b/bg2/install-soa-4cd-us-extra.sh
new file mode 100755
index 0000000..a6a0687
--- /dev/null
+++ b/bg2/install-soa-4cd-us-extra.sh
@@ -0,0 +1,53 @@
+#! /bin/bash
+#
+# Baldur's Gate 2 (4CD US version) Full Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+CD2_MD5="c78f41ff4cb47ea04fdf25ea6f55eb8b"
+CD3_MD5="61fa51451c9ab102383c082fac3687dc"
+CD4_MD5="d13f925c01c1f78fd35baa708715ebbd"
+
+function bgtwo_smart_install
+{
+ # usage cd#
+ cp -r "${CDMOUNT}/CD${1}/" "$TARGETDIR/data"
+ chmod -R 755 "$TARGETDIR/data/CD${1}"
+ mkdir -p "$TARGETDIR/cd${1}/data"
+ mv "$TARGETDIR/data/CD${1}/Data/AREA"*".bif" "$TARGETDIR/cd${1}/data"
+ mv "$TARGETDIR/data/CD${1}/Data/"* "$TARGETDIR/data"
+ mv "$TARGETDIR/data/CD${1}/Movies" "$TARGETDIR/cd${1}/movies"
+ rm -r "$TARGETDIR/data/CD${1}/"
+
+}
+
+getcd 2 $CD2_MD5 "data3.cab"
+bgtwo_smart_install 2
+
+getcd 3 $CD3_MD5 "data4.cab"
+bgtwo_smart_install 3
+
+getcd 4 $CD4_MD5 "data5.cab"
+bgtwo_smart_install 4
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-4cd-minimal-us.sh b/bg2/install-soa-4cd-us-minimal.sh
index 42eda0c..7833dca 100755
--- a/bg2/install-4cd-minimal-us.sh
+++ b/bg2/install-soa-4cd-us-minimal.sh
@@ -1,7 +1,7 @@
#!/bin/bash
#
-# Baldur's Gate 2 (4CD US version) Minimal Install
-# Copyright (C) 2009 Nick Daly
+# Baldur's Gate 2 Shadows of Amn (4CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
@@ -33,7 +33,7 @@ mkdir -p "${TARGETDIR}/portraits" || die
cp "${CDMOUNT}/baldur.ico" "$TARGETDIR" || die
-unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
@@ -41,9 +41,10 @@ for i in "${TARGETDIR}/hd0_"* ; do j=`echo $i | sed 's#hd0_##g' - ` ; mv "$i" "$
move_and_remove "${TARGETDIR}/cab" "${TARGETDIR}"
move_and_remove "${TARGETDIR}/compiler" "${TARGETDIR}/script compiler"
-move_and_remove "${TARGETDIR}/register" "${TARGETDIR}/eReg"
move_and_remove "${TARGETDIR}/sound" "${TARGETDIR}/sounds"
-rm -r "${TARGETDIR}/cache100" "${TARGETDIR}/cache/cache150.txt" "${TARGETDIR}/mplayer"
+for directory in "compiled" "decompiled" "errors"; do mkdir -p "${TARGETDIR}/script compiler/${directory}" || die; done
-setperms "$TARGETDIR"
+rm -r "${TARGETDIR}/cache100" "${TARGETDIR}/cache/cache150.txt" "${TARGETDIR}/mplayer" "${TARGETDIR}/register"
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-soa-4cd-us-tobMinimal.sh b/bg2/install-soa-4cd-us-tobMinimal.sh
new file mode 100755
index 0000000..11e6cb7
--- /dev/null
+++ b/bg2/install-soa-4cd-us-tobMinimal.sh
@@ -0,0 +1,32 @@
+#! /bin/bash
+#
+# Baldur's Gate 2 Shadows of Amn (4CD US version) Minimal TOB Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+CD2_MD5="c78f41ff4cb47ea04fdf25ea6f55eb8b"
+
+getcd 2 $CD2_MD5 "data3.cab"
+copylower "${CDMOUNT}/CD2/" "$TARGETDIR/cd2/data"
+
+teardown "$TARGETDIR"
diff --git a/bg2/install-tob-1cd-us-minimal.sh b/bg2/install-tob-1cd-us-minimal.sh
new file mode 100755
index 0000000..67aa795
--- /dev/null
+++ b/bg2/install-tob-1cd-us-minimal.sh
@@ -0,0 +1,53 @@
+#!/bin/bash
+#
+# Baldur's Gate 2 Throne of Bhaal (1CD US version) Minimal Install
+# Copyright (C) 2009 GemRB Installers, Nick Daly
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301 USA.
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
+
+parseargs "$@"
+
+checkforbin unshield
+
+getcd 1 $BG2_TOB_1CD_US_MD5 data1.cab
+
+mkdir -p "$TARGETDIR" || die
+
+if [ ! -e "${TARGETDIR}/cd2/data/area000a.bif" ]
+then
+ echo "You haven't installed BG2-SOA!"
+ die
+ # TODO ask user to run the appropriate preinstaller.
+fi
+
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
+
+rm -r "${TARGETDIR}/_"* # remove all the the fake directories.
+
+move_and_remove "${TARGETDIR}/hd025music" "${TARGETDIR}/music"
+move_and_remove "${TARGETDIR}/hd0_english/characters" "${TARGETDIR}/characters"
+move_and_remove "${TARGETDIR}/hd0_english/override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/hd0_override" "${TARGETDIR}/override"
+move_and_remove "${TARGETDIR}/minimum_25_data" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/minimum_25_data_english" "${TARGETDIR}/data"
+move_and_remove "${TARGETDIR}/hd0_english/" "${TARGETDIR}/"
+move_and_remove "${TARGETDIR}/hd0" "${TARGETDIR}/"
+
+teardown "$TARGETDIR"